%define languageenglazy Uzbek
%define languagecode    uz
%define lc_ctype        uz_UZ

Name:           hunspell-%{languagecode}
Version:        2.2
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://www-user.uni-bremen.de/~kmashrab/uzbek-word-list
Source0:        https://addons.mozilla.org/firefox/downloads/file/362670/uzbek_spell_checker-%{version}-sm+tb+fx+an+fn.xpi#/%{name}-%{version}.xpi

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-uz
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/uz-UZ.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/uz-UZ.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc dictionaries/README*
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.2-3.mga8
+ Revision: 1501745
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.2-2.mga7
+ Revision: 1278862
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 kekepower <kekepower> 2.2-1.mga7
+ Revision: 1213806
- Update to release 2.2

* Tue Feb 02 2016 umeabot <umeabot> 0.6-12.mga6
+ Revision: 931366
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-11.mga5
+ Revision: 748347
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-10.mga5
+ Revision: 680324
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.6-9.mga4
+ Revision: 505928
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6-8.mga3
+ Revision: 353750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.6-7.mga2
+ Revision: 224903
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.6-6.mga2
+ Revision: 209143
- use better obsoleting of myspell
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.6-4.mga1
+ Revision: 69189
- imported package hunspell-uz


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Sep 20 2006 Caolan McNamara <caolanm@redhat.com> - 0.6-1
- initial version
